--=======================================================================================================================
-- Leader_SharedTraits
--=======================================================================================================================
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);
     
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_MH_GUINIVERE',	'POLICY_FINANCIAL_X',	'POLICY_INDUSTRIOUS_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_MH_GUINIVERE_CIV_IV'
	ELSE 'TXT_KEY_LEADER_MH_GUINIVERE' END) 
WHERE Type = 'LEADER_MH_GUINIVERE';

INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_ZEPHIEL',	'POLICY_IMPERIALISTIC_X',	'POLICY_EXPANSIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_ZEPH_CIV_IV'
	ELSE 'TXT_KEY_LEADER_ZEPHIEL' END) 
WHERE Type = 'LEADER_ZEPHIEL';

INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_NARCIAN',	'POLICY_IMPERIALISTIC_X',	'POLICY_CREATIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_NARC_CIV_IV'
	ELSE 'TXT_KEY_LEADER_NARCIAN' END) 
WHERE Type = 'LEADER_NARCIAN';
--=======================================================================================================================
--=======================================================================================================================

