-- DragonGeneralLightningWarfare
-- Author: TheMH06
-- DateCreated: 9/7/2017 5:39:49 PM
--------------------------------------------------------------
local iDGType = GameInfoTypes.UNIT_BERN_GENERAL

local iLWarfare = GameInfoTypes.POLICY_LIGHTNING_WARFARE
local iLWarfarePromo = GameInfoTypes.PROMOTION_FAST_GENERAL

local iMaxCivs = GameDefines.MAX_MAJOR_CIVS
--------------------------------------------------------------
function OnAdoptLightningWarfare(iPlayer, iPolicyID)
    if iPolicyID == iLWarfare then
        local pPlayer = Players[iPlayer]
        for unit in pPlayer:Units() do
            if unit:GetUnitType() == iDGType then
                unit:SetHasPromotion(iLWarfarePromo, true)
            end
        end
    end
end

GameEvents.PlayerAdoptPolicy.Add(OnAdoptLightningWarfare)

function OnMoveLightningWarfare(iPlayer, iUnitID, iX, iY)
    if iPlayer < iMaxCivs and iX > 0 and iY > 0 then
        local pPlayer = Players[iPlayer]
        if pPlayer:HasPolicy(iLWarfare) then
            local pUnit = pPlayer:GetUnitByID(iUnitID)
            if pUnit then
                if pUnit:GetUnitType() == iDGType and not pUnit:IsHasPromotion(iLWarfarePromo) then
                    pUnit:SetHasPromotion(iLWarfarePromo, true)
                    pUnit:SetMoves(pUnit:MaxMoves())
                end
            end
        end
    end
end

GameEvents.UnitSetXY.Add(OnMoveLightningWarfare)