-- GuinivereFunctions
-- Author: user
-- DateCreated: 3/23/2018 8:14:28 PM
--------------------------------------------------------------
include("PlotIterators.lua");

local pGuinivereCiv = GameInfoTypes["CIVILIZATION_GUIN_BERN"]
local iMod = ((GameInfo.GameSpeeds[Game.GetGameSpeedType()].BuildPercent)/100)
local cultureBonus = 0;

function GuinivereGPBoost(iPlayer, iUnit, unitTypeID, plotX, plotY)
	local Player = Players[iPlayer]
	local GP = unitTypeID
	--print(unitTypeID.. ", "..goja..", "..iProphet)
	if iUnit ~= iProphet and Player:GetCivilizationType() == pGuinivereCiv then
		print("Get culture!")
		Player:ChangeJONSCulture(50*(1+Player:GetCurrentEra())*iMod)
		cultureBonus[iPlayer] = Player:GetJONSCulture()
	end
end

for iPlayer = 0, GameDefines.MAX_MAJOR_CIVS-1, 1 do
	local Player = Players[iPlayer]
	if Player:GetCivilizationType() == pGuinivereCiv then
		GameEvents.GreatPersonExpended.Add(GuinivereGPBoost)
end
end